.. fsk_hdl_app documentation


.. _fsk_hdl_app-application:


SKELETON NAME (``fsk_hdl_app``)
===============================
Skeleton outline: Optional short summary of this application.

Description
-----------
Skeleton outline: Functional description of **what** the application achieves.

Hardware Portability
--------------------
Skeleton outline: Description of **which** platforms the application is intended to be run on.

Execution
---------

Prerequisites
~~~~~~~~~~~~~
Skeleton outline: A list of steps that need to be taken before the application can be executed.

Command(s)
~~~~~~~~~~
Skeleton outline: A list of commands to run in order to execute the application.

Verification
------------
Skeleton outline: Possible outputs of the application.

Troubleshooting
---------------
Skeleton outline: List any known issues and and potential fixes here.

**If the above template is not appropriate, consider replacing sections "Execution", "Verification" and "Troubleshooting" with the following:**

Building the App
----------------
Skeleton outline: Include dependencies and any prerequisite steps that need to be taken to build the application.

Testing the App
---------------
Skeleton outline: Information on sample test setups, required artifacts, executable arguments and expected results. Also include any known issues here, if any.

Worker Properties
-----------------
Skeleton outline: A list of the configurable properties for each of the workers in the application.

Worker Artifacts
----------------
Skeleton outline: Any artifacts that are produced by the application.
